Name:		xsetroot
Version:	1.1.3
Release:	%mkrel 2
Summary:	Root window parameter setting utility for X
Group:		Development/X11
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:	MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xmu) >= 1.0.0
BuildRequires: x11-data-bitmaps >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xcursor)

%description
The setroot program allows to tailor the appearance of the background
("root") window on a workstation display running X.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xsetroot
%{_mandir}/man1/xsetroot.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1.3-2.mga10
+ Revision: 2216134
- Mageia 10 Mass Rebuild

* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.1.3-1.mga9
+ Revision: 1901763
- 1.1.3

* Wed Mar 30 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1835127
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1518950
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1301978
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 tv <tv> 1.1.2-1.mga7
+ Revision: 1208311
- new release

* Thu Feb 04 2016 umeabot <umeabot> 1.1.1-5.mga6
+ Revision: 934225
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 745308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 690778
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 521898
- Mageia 4 Mass Rebuild

* Thu Jan 31 2013 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 393613
- 1.1.1

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 387400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.1.0-1.mga1
+ Revision: 30226
- imported package xsetroot


* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 592560
- BR libxcursor-devel instead of x11-data-cursor-themes
- BR x11-data-cursor-themes
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.3-1mdv2010.1
+ Revision: 464750
- New version: 1.0.3

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.2-4mdv2009.1
+ Revision: 350772
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2009.0
+ Revision: 226080
- rebuild

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 154300
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 76608
- rebuild for 2008
- minor spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - revert
    - new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release: 1.0.2


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-30 16:15:56 (31710)
- fill in a few more missing descriptions

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

